Bug 20378 - OPAC ID and password do not auto-generate for new patron
Summary: OPAC ID and password do not auto-generate for new patron
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 17.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-12 23:42 UTC by Agnes Rivers-Moore
Modified: 2018-04-24 19:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agnes Rivers-Moore 2018-03-12 23:42:34 UTC
In ver 3.x when adding a new patron, Koha would insert auto generated ID (firstname dot lastname) and default password when the record was saved.

In ver 17.11 these fields are no longer auto-populating. 

This means staff have to create a unique user ID, and correctly type a password, twice, before saving a new patron record, even if the patron does not want an OPAC login.

We would like the auto-generate feature back, OR at least a system preference to allow it.

We would also like Koha to pay attention to mandatory fields and not make ID & password mandatory if not required by preferences.

Related to bug 19908 (password should not be mandatory)

I am not sure if this is related to bug 20027 - not enough info there.
Comment 1 Agnes Rivers-Moore 2018-03-15 15:34:35 UTC
Further testing ...
If I create a QuickAdd patron form without OPAC ID and password fields -
We can save that form without ID or password
When calling up the same record - Koha has inserted a username and password for that record (firstname.lastname and default password whatever that is).

So it seems Koha still can generate the ID, but in the full patron add form it is not allowing the form to be saved without those fields, so the auto-generated ID on save never happens.
This means if the bug 19908 fix to make those fields not mandatory is applied, the auto-generate behaviour may fix itself.
Comment 2 Jonathan Druart 2018-03-28 18:31:45 UTC
Sounds like it is a duplicate of bug 19908 (which needs to be backported to 17.11.x)
Comment 3 Jonathan Druart 2018-04-24 19:10:03 UTC
Can you confirm it has been fixed by bug 19908?
Comment 4 Agnes Rivers-Moore 2018-04-24 19:40:32 UTC
That bug (19908) to fix password being required was just now backported, so we do not have the fix installed yet.
Can anyone else test & confirm?
Thanks!